%define	name	xmms-msa
%define	msaver	0.5.4
%define	version	%{msaver}
%define	release	2
%define	prefix	/usr

%define	skinver	0.0.1

Summary:	XMMS Plugin - MSA spectrum analyzer.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Prefix:		%{prefix}
Copyright:	GPL
Group:		Applications/Multimedia
URL:		http://priv6.onet.pl/war/kunik/msa/
Vendor:		Michal Kunikowski <kunik@friko3.onet.pl>
Source:		%{name}-%{msaver}.tar.gz
Source1:	%{name}-skins-%{skinver}.tgz
Source2:	leaves2.tar.gz
Source3:	matilda2.tar.gz
Source4:	space.tar.gz
Patch:		xmms-msa-0.5.4-optflags.patch
BuildRoot:	/var/tmp/%{name}-%{version}
Requires:	xmms >= 1.0.1
BuildPrereq:	xmms-devel

%description
MSA spectrum analyzer, XMMS Visualization Plugin.

%package	-n %{name}-skins
Summary:	XMMS Plugin - MSA spectrum analyzer (Skins).
Version:	%{skinver}
Group:		Applications/Multimedia
Requires:	%{name} >= %{msaver}

%description	-n %{name}-skins
Skins for the MSA spectrum analyzer XMMS Plugin.

%prep
%setup -q -n msa-%{msaver} -a1
%patch -p1

%build
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT%{prefix}/lib/xmms/Visualization
install -m 755 msa.so $RPM_BUILD_ROOT%{prefix}/lib/xmms/Visualization/

# Installing Skins
cd msa-skins-%{skinver}
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/xmms/MSASkins
rm Makefile;
cp -pr * $RPM_BUILD_ROOT%{prefix}/share/xmms/MSASkins/

tar zxf %{SOURCE2} -C $RPM_BUILD_ROOT%{prefix}/share/xmms/MSASkins/
tar zxf %{SOURCE3} -C $RPM_BUILD_ROOT%{prefix}/share/xmms/MSASkins/
tar zxf %{SOURCE4} -C $RPM_BUILD_ROOT%{prefix}/share/xmms/MSASkins/
rm -r $RPM_BUILD_ROOT%{prefix}/share/xmms/MSASkins/Space/.xvpics

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%doc changes README
%{prefix}/lib/xmms/Visualization/msa.so

%files -n %{name}-skins
%dir %{prefix}/share/xmms/MSASkins
%{prefix}/share/xmms/MSASkins/*

%changelog
* Fri Mar 24 2000 Ryan Weaver <ryanw@infohwy.com>
  [xmms-msa-0.5.4-2]
- Added Additional skins available on web page.

* Tue Feb 29 2000 Ryan Weaver <ryanw@infohwy.com>
- Initial RPM Build.
- Building MSA Skins as a subpackage. (Only version 0.0.1, 404 error on 0.0.2)

  [xmms-msa-0.5.4-1]
- added new mirror mode
- added new skin format (to support mirror mode)
- code reorganized
- fixed some bugs

  [xmms-msa-0.5.3-1]
- added auto attach to screen border and xmms windows
- added key shortcuts z,x,c,v,b for prev,play,pause,stop,next (they
  act exactly like in xmms)
- added default skin (not loaded from disk)
- msa now remebers it's last position

  [xmms-msa-0.5.2-1]
- fixed bugs in skin config files
- turned off debug mode

  [xmms-msa-0.5.1-1]
- first public relase

